summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-antivirus/antivir-mailgate/files')
-rwxr-xr-xapp-antivirus/antivir-mailgate/files/2.1.4_p7/antivir-mailgate.init.d46
-rw-r--r--app-antivirus/antivir-mailgate/files/2.1.4_p7/avmailgate.conf.diff.postfix.bz2bin0 -> 5441 bytes
-rwxr-xr-xapp-antivirus/antivir-mailgate/files/2.1.4_p7/avupdater.conf26
-rwxr-xr-xapp-antivirus/antivir-mailgate/files/3.0.0_p14/antivir-mailgate.initd44
-rw-r--r--app-antivirus/antivir-mailgate/files/3.0.0_p14/avmailgate-scanner.conf.diff.bz2bin0 -> 739 bytes
-rw-r--r--app-antivirus/antivir-mailgate/files/3.0.0_p14/avmailgate.conf.diff.postfix.bz2bin0 -> 4956 bytes
6 files changed, 116 insertions, 0 deletions
diff --git a/app-antivirus/antivir-mailgate/files/2.1.4_p7/antivir-mailgate.init.d b/app-antivirus/antivir-mailgate/files/2.1.4_p7/antivir-mailgate.init.d
new file mode 100755
index 0000000..2c7d466
--- /dev/null
+++ b/app-antivirus/antivir-mailgate/files/2.1.4_p7/antivir-mailgate.init.d
@@ -0,0 +1,46 @@
+#!/sbin/runscript
+## 2003 by H+BEDV Datentechnik GmbH,
+## Wolfram Schlich <wschlich@antivir.de>
+
+svc_name="AntiVir MailGate"
+
+## required binaries
+avmailgate_bin="/usr/lib/AntiVir/avmailgate.bin"
+
+## required config files
+avmailgate_cfg="/etc/avmailgate.conf"
+avmailgate_acl="/etc/avmailgate.acl"
+
+depend() {
+ need net
+ use logger dns
+}
+
+checkconfig() {
+ if [ ! -x "${avmailgate_bin}" ]; then
+ eerror "avmailgate binary [${avmailgate_bin}] missing"
+ return 1
+ fi
+ if [ ! -r "${avmailgate_cfg}" ]; then
+ eerror "avmailgate config [${avmailgate_cfg}] missing"
+ return 1
+ fi
+ if [ ! -r "${avmailgate_acl}" ]; then
+ eerror "avmailgate acl [${avmailgate_acl}] missing"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting ${svc_name}"
+ "${avmailgate_bin}" --start
+ eend $?
+}
+
+stop() {
+ checkconfig || return 2
+ ebegin "Stopping ${svc_name}"
+ "${avmailgate_bin}" --stop
+ eend $?
+}
diff --git a/app-antivirus/antivir-mailgate/files/2.1.4_p7/avmailgate.conf.diff.postfix.bz2 b/app-antivirus/antivir-mailgate/files/2.1.4_p7/avmailgate.conf.diff.postfix.bz2
new file mode 100644
index 0000000..f0ede41
--- /dev/null
+++ b/app-antivirus/antivir-mailgate/files/2.1.4_p7/avmailgate.conf.diff.postfix.bz2
Binary files differ
diff --git a/app-antivirus/antivir-mailgate/files/2.1.4_p7/avupdater.conf b/app-antivirus/antivir-mailgate/files/2.1.4_p7/avupdater.conf
new file mode 100755
index 0000000..1453987
--- /dev/null
+++ b/app-antivirus/antivir-mailgate/files/2.1.4_p7/avupdater.conf
@@ -0,0 +1,26 @@
+## reporting via mail
+EmailTo postmaster
+
+## logging
+#LogTo /var/log/antivir.log
+SyslogFacility user
+SyslogPriority notice
+
+## proxy server
+#HTTPProxyServer proxy.example.com
+#HTTPProxyPort 3128
+#HTTPProxyUsername username
+#HTTPProxyPassword password
+
+## general update settings
+#HTTPUpdateServer http://antivir.example.com
+#UpdaterKeepsBackups
+
+## avupdater (better use cron)
+#AutoUpdateEvery2Hours
+#AutoUpdateDaily
+#AutoUpdateTime 4:23
+
+## GPG (for verification of signed binaries)
+GnuPGBinary /usr/bin/gpg
+GnuPGOptions --keyserver x-hkp://subkeys.pgp.net --keyserver-options auto-key-retrieve,honor-http-proxy,verbose
diff --git a/app-antivirus/antivir-mailgate/files/3.0.0_p14/antivir-mailgate.initd b/app-antivirus/antivir-mailgate/files/3.0.0_p14/antivir-mailgate.initd
new file mode 100755
index 0000000..f1cb9b8
--- /dev/null
+++ b/app-antivirus/antivir-mailgate/files/3.0.0_p14/antivir-mailgate.initd
@@ -0,0 +1,44 @@
+#!/sbin/runscript
+
+svc_name="AntiVir MailGate"
+
+## required executables
+antivir_mailgate_script="/usr/lib/AntiVir/avmailgate"
+
+## required config files
+antivir_mailgate_cfg="/etc/avmailgate.conf"
+antivir_mailgate_acl="/etc/avmailgate.acl"
+
+depend() {
+ need net
+ use logger dns
+}
+
+checkconfig() {
+ if [ ! -x "${antivir_mailgate_script}" ]; then
+ eerror "AntiVir MailGate script [${antivir_mailgate_script}] missing"
+ return 1
+ fi
+ if [ ! -r "${antivir_mailgate_cfg}" ]; then
+ eerror "AntiVir MailGate config [${antivir_mailgate_cfg}] missing"
+ return 1
+ fi
+ if [ ! -r "${antivir_mailgate_acl}" ]; then
+ eerror "AntiVir MailGate ACL [${antivir_mailgate_acl}] missing"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting ${svc_name}"
+ "${antivir_mailgate_script}" start
+ eend $?
+}
+
+stop() {
+ checkconfig || return 1
+ ebegin "Stopping ${svc_name}"
+ "${antivir_mailgate_script}" stop
+ eend $?
+}
diff --git a/app-antivirus/antivir-mailgate/files/3.0.0_p14/avmailgate-scanner.conf.diff.bz2 b/app-antivirus/antivir-mailgate/files/3.0.0_p14/avmailgate-scanner.conf.diff.bz2
new file mode 100644
index 0000000..19c85a3
--- /dev/null
+++ b/app-antivirus/antivir-mailgate/files/3.0.0_p14/avmailgate-scanner.conf.diff.bz2
Binary files differ
diff --git a/app-antivirus/antivir-mailgate/files/3.0.0_p14/avmailgate.conf.diff.postfix.bz2 b/app-antivirus/antivir-mailgate/files/3.0.0_p14/avmailgate.conf.diff.postfix.bz2
new file mode 100644
index 0000000..2347478
--- /dev/null
+++ b/app-antivirus/antivir-mailgate/files/3.0.0_p14/avmailgate.conf.diff.postfix.bz2
Binary files differ